1. API reference
  2. Webhooks

Register a webhook

POSThttps://howdybell.com/api/v1/hooks

Creates a new webhook endpoint that sends notifications for a specific event to your target URL. The event must be a supported type, and the URL must be secure. If you are locked to a specific location, the webhook will only trigger for events in that location.

Request body

  • eventstringRequired

    The event type to subscribe to.

  • target_urlstringRequired

    The secure URL that will receive the webhook payloads.

  • location_idinteger

    Optional. The specific location to scope the webhook to. Must belong to your workspace.

Responses

201

  • idinteger
  • eventstring
  • target_urlstring

422 Validation error

  • messagestring

    Errors overview.

  • errorsobject

    A detailed description of each field that failed validation.

RequestcURL
curl -X POST "https://howdybell.com/api/v1/hooks" \
  -H "Authorization: Bearer $HOWDYBELL_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "event": "string",
  "target_url": "https://example.com",
  "location_id": 1
}'
Response201
{
  "id": 1,
  "event": "string",
  "target_url": "https://example.com"
}
Register a webhook (POST /api/v1/hooks) | HowdyBell Developers